Subject: [Ecrit] [Comments on ECRIT Requirement]

From: Shida Schubert <[email-masked]>
Date: Mon, 06 Mar 2006 23:25:43 -0800

I haven't read the draft since version 02 and it definitely
reads much better. Also I haven't compared my comments to
what Roger recently posted as an upcoming changes, so I do
apologize if I am repeating something here.

Anyhow, here are my comments and questions.

1. Wording seem to lack consistency in the following
requirements although, I believe they meant to
mean the same -> MUST implement(not necessarily use)

Re 7. MUST implement(not necessarily use)
Lo 1, Lo7. MUST implement
Lo 2, Lo 3, Id2. MUST support(i.e required to implement
though not required to use.)

I think there was more, but I think it's better to be
consistency with the wording.

2. I found the following statement in Lo 3's to be rather unclear.

"The protocol MUST support(i.e. must implement in the protocol,
though not necessarily use) a mechanism to indicate that a location
or a part of a location is known to not exist"

It's not clear what is said by "location is known to not exist".
Is it trying to address the situation where address which is non-existent
in the real world is in the request? or is it simply trying to address
situation
where the location in the request is non-existent in the location database
that mapping entity references(Possibly due to new street being built
but propagation
has not been completed or simply the request is phony?).

I think it's the latter that we are trying to address here, but may
be the requirement is trying to address both cases.

3. Confusion in IdN
Is universal emergency identifier in Id1 and universal identifier in
Id10 different?
If they are the same, two requirements seem to be stating the same thing.

4. What's the difference between emergency marking and emergency identifier?
Looking at the terminology, they seem to indicate the same thing. I guess
this is what Tom was pointing out.. If the text from "translated.. " is
removed from the terminology section, I don't think the confusion will
occur, but may be Emergency identifier instead of marking should be used
to be consistent with the terminology used.

5. I know that most likely candidate for the mapping protocol is SIP,
but I thought
that the mapping protocol is supposed to support other protocol as well.
If my
understanding is correct, it's odd to see SIP specific requirement seen
in Id7
as well as Id12. It's really not a big deal, but they seemed out of place.

6. Id12 seems to cover Id7.

7. Ma5 and Ma7 both seem to say "MUST be able to return multiple PSAP URIs"?

8. Re7 seems to cover Ma13 and may be Ma17.

9. Ma24. "LCMS query" pops up only at this requirement. If we are to use
this term
here I think we should add "LCMS query" in terminology section.

Regards
Shida Schubert

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit